Subject: Re: bug#67287: 29.1; hs-set-up-overlay messes up indent-sexp

From: Eli Zaretskii <[email-masked]>
Date: Mon, 20 Nov 2023 16:10:07 +0200

> From: João Pedro <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 20 Nov 2023 10:42:24 -0300
> 
> > So you shouldn't expect reasonable results from indenting a sexp which
> > is partially hidden and has a 'display' property that replaces it.
> > IOW, always unhide the block before indenting it.
> 
> So you mean that whatever is going to indent or modify the hidden text
> should be "unhiding" it before doing so? Can you point to a function
> that does this so I could take as a reference?

Not sure what you want me to tell.  I meant hs-show-block and its
likes.

> > This is not a bug.
> 
> Yeah, but maybe it requires a bit more documenting? I couldn't find
> where this new behaviour was documented in NEWS.29, all I could find was
> that the implementation of overlays has changed, but no mention of how
> it affects 'display' properties. Maybe I missed it?

It was deemed to be a bug fix, since current-column would basically
ignore these features and behave as if display properties didn't
exist.  And we don't call out bug fixes in NEWS.